<?php
namespace App\Models\order\mysql;

use Api\PhpUtils\Mysql\MysqlBase;

class PayOrder extends MysqlBase
{
    protected static $write;

    protected static $read;

    protected static $db_config_index = 'metro';

    protected function getTableName()
    {
        return 'pay_order';
    }

    protected function getPKey()
    {
        return 'pay_order_id';
    }

    public function selectForUpdate($id) {

        $link = self::getConnection('write');
        $link->pdo->

    }
}
